cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Grzegorz Kossakowski <gkossakow...@apache.org>
Subject Re: Failing to build trunk because 'package org.apache.avalon.framework.container does not exist'
Date Mon, 16 Apr 2007 21:24:47 GMT
Jean-Christophe Kermagoret napisaƂ(a):
> Thanks for your answer.
> 
> Here is a few more information...
> 
> root:/opt/src/cocoon-22/trunk root# mvn -version
> Maven version: 2.0.4
> 
> root:/opt/src/cocoon-22/trunk root# export MAVEN_OPTS="-Xmx512m"; mvn
> clean install -Dmaven.test.skip=true -P allblocks
> 
> And this last command finally generates the error I sent to the list.

I've tried to build it exactly the same as you given and build ran fine. Could you please
test it with Maven 2.0.5? The error seems to be
related to problems I was having with 2.0.4 version some time ago. New version of Maven comes
with lots of bug fixes so it is generally good
idea to update.
Also, do you really need all blocks to be built? I mean, if you need only most common blocks
then you can omit -P allblocks option. This
also makes memory tweaking not necessary anymore.

> 
> I didn't integrate your updates about CForms and Ajax. Do your
> modifications impact CForms block ? or only Ajax block ?
> 

They impact both blocks, but they should not impact build at all.

-- 
Grzegorz Kossakowski
http://reflectingonthevicissitudes.wordpress.com/

Mime
View raw message